[
  [
    {
      "id": "dn_mark_hdr",
      "type": "text",
      "x": 0,
      "y": "addressHeight",
      "width": "rowWidth",
      "height": "rowHeight",
      "text": "Merkki:",
      "style": "row_hdr"
    },
    {
      "id": "dn_mark",
      "type": "text",
      "x": 0,
      "y": "addressHeight",
      "width": "rowWidth",
      "height": "rowHeight",
      "style": "row"
    }
  ],
  [
    {
      "id": "dn_customer_order_number_hdr",
      "type": "text",
      "x": 0,
      "y": "addressHeight  + rowHeight",
      "width": "rowWidth",
      "height": "rowHeight",
      "text": "Til. Nro:",
      "style": "row_hdr"
    },
    {
      "id": "dn_customer_order_number",
      "type": "text",
      "x": 0,
      "y": "addressHeight  + rowHeight",
      "width": "rowWidth",
      "height": "rowHeight",
      "style": "row"
    }
  ],
  [
    {
      "id": "dn_your_reference_hdr",
      "type": "text",
      "x": 0,
      "y": "addressHeight  + rowHeight * 2",
      "width": "rowWidth",
      "height": "rowHeight",
      "text": "Viite:",
      "style": "row_hdr"
    },
    {
      "id": "dn_your_reference",
      "type": "text",
      "x": 0,
      "y": "addressHeight  + rowHeight * 2",
      "width": "rowWidth",
      "height": "rowHeight",
      "style": "row"
    },
    {
      "id": "company_name_hdr",
      "type": "text",
      "x": 0,
      "y": "addressHeight  + rowHeight * 3",
      "width": "rowWidth",
      "height": "rowHeight",
      "text": "Tilaaja:",
      "style": "row_hdr"
    },
    {
      "id": "company_name",
      "type": "text",
      "x": 0,
      "y": "addressHeight  + rowHeight * 3",
      "width": "rowWidth",
      "height": "rowHeight",
      "style": "row"
    }
  ],
  [
    {
      "id": "copy",
      "type": "text",
      "x": "rowWidth",
      "y": "addressHeight",
      "width": "math.floor((paperWidth - rowWidth) * 2 / 3)",
      "height": "paperHeight - addressHeight - logoHeight",
      "text": "__copy",
      "style": "number_of_pallets"
    },
    {
      "id": "dn_number_of_pallets_hdr",
      "type": "text",
      "x": "rowWidth + math.floor((paperWidth - rowWidth) * 2 / 3)",
      "y": "addressHeight",
      "width": "math.floor((paperWidth - rowWidth) * 2 / 5)",
      "height": "paperHeight - addressHeight - logoHeight",
      "text": "/",
      "style": "number_of_pallets_hdr"
    },
    {
      "id": "copy_count",
      "type": "text",
      "x": "rowWidth + math.floor((paperWidth - rowWidth) * 2 / 3)",
      "y": "addressHeight",
      "width": "math.floor((paperWidth - rowWidth) * 1 / 3)",
      "height": "paperHeight - addressHeight - logoHeight",
      "style": "number_of_pallets_total"
    }
  ]
]
